%define upstream_name    Passwd-Unix
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    OO interface to files: passwd and shadow
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Passwd/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Crypt::Password)
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Compress::Bzip2)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Tie::Array::CSV)
BuildArch:  noarch

%description
The Passwd::Unix module provides an abstract interface to /etc/passwd,
/etc/shadow and /etc/group format files. It is inspired by Unix::PasswdFile
module (that one does not handle /etc/shadow file, what is necessary in
modern systems like Sun Solaris 10 or Linux).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jan 17 2023 tv <tv> 1.90.0-1.mga9
+ Revision: 1933965
- update to 1.09

* Sun Mar 20 2022 umeabot <umeabot> 0.710.0-9.mga9
+ Revision: 1805049
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.710.0-8.mga8
+ Revision: 1496405
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.710.0-7.mga7
+ Revision: 1270462
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.710.0-6.mga6
+ Revision: 1031806
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.710.0-5.mga6
+ Revision: 930919
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.710.0-4.mga5
+ Revision: 741362
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.710.0-3.mga5
+ Revision: 685906
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.710.0-2.mga4
+ Revision: 533441
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 0.710.0-1.mga4
+ Revision: 473090
- update to 0.71

* Sun Jan 13 2013 umeabot <umeabot> 0.700.0-2.mga3
+ Revision: 371569
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.700.0-1.mga3
+ Revision: 330261
- New version 0.7

* Sat Nov 19 2011 kharec <kharec> 0.621.0-1.mga2
+ Revision: 169259
- update to 0.621

* Sat Nov 19 2011 kharec <kharec> 0.620.0-1.mga2
+ Revision: 169163
- imported package perl-Passwd-Unix

